osl::eval::ml::LanceMobility Class Reference

`#include <mobility.h>`

## Public Types

enum | { DIM = 9 }

## Public Member Functions

| LanceMobility ()

## Static Public Member Functions

static void | setUp (const Weights &weights, int stage)

## Static Private Attributes

static CArray< MultiInt, 9 > | lance_table

## Friends

struct | LanceMobilityAll

## Detailed Description

Definition at line 137 of file mobility.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 142 of file mobility.h.

## Constructor & Destructor Documentation

## LanceMobility()

osl::eval::ml::LanceMobility::LanceMobility | ( |  | ) |

inline

Definition at line 143 of file mobility.h.

## Member Function Documentation

## setUp()

void osl::eval::ml::LanceMobility::setUp | ( | const Weights & | weights,
|  | int | stage )

static

Definition at line 260 of file mobility.cc.

References lance_table, and osl::eval::ml::Weights::value().

## Friends And Related Symbol Documentation

## LanceMobilityAll

friend struct LanceMobilityAll

friend

Definition at line 140 of file mobility.h.

References LanceMobilityAll.

Referenced by LanceMobilityAll.

## Member Data Documentation

## lance_table

osl::CArray< MultiInt, 9 > osl::eval::ml::LanceMobility::lance_table

static private

Definition at line 139 of file mobility.h.

Referenced by osl::eval::ml::LanceMobilityAll::adjust(), and setUp().

The documentation for this class was generated from the following files:

- mobility.h
- mobility.cc